<header>
    <h2 class="template">Template New Page</h2>
    <a class="map-link" href="index.php" title="Cliquer pour accéder à la carte des données"></a>
</header>
<div class='flex'>
     <?php foreach ($articles as $key => $article) { ?>
            <div class="container  <?php echo ($key === 1) ? ' custom-container' : ''; ?>">
            <?php if (isset($article['title']) && $article['title'] != null) { ?>
                <h3><?= htmlspecialchars($article['title'], ENT_QUOTES); ?></h3>
            <?php } ?>
            <?php if (isset($article['img']) && $article['img'] != null) {
                $extension = pathinfo($article['img'], PATHINFO_EXTENSION);?>  
                <img class="float" src="./public/uploads/article_img/<?= $extension ?>/<?= htmlspecialchars($article['img'], ENT_QUOTES); ?>" alt="logo">
            <?php } ?>
            <?php if (isset($article['content']) && $article['content'] != null) { ?>
                <p><?= htmlspecialchars($article['content'], ENT_QUOTES); ?></p>
            <?php } ?>
            <?php if (isset($article['link_url']) && $article['link_url'] != null && isset($article['link_name']) && $article['link_name'] != null) { ?>
                <a class="btn link" href="<?= htmlspecialchars($article['link_url'], ENT_QUOTES); ?>"><?= htmlspecialchars($article['link_name'], ENT_QUOTES); ?></a>
            <?php } ?>
                </div>
     <?php } ?>
</div>
